Summary:	Library implementing the SSH2 protocol
Summary(pl.UTF-8):	Biblioteka implementująca protokół SSH2
Name:		libssh2
Version:	0.18
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://dl.sourceforge.net/libssh2/%{name}-%{version}.tar.gz
# Source0-md5:	5b9c83660aa4d1821ff2c05838e77e9d
URL:		http://libssh2.sourceforge.net/
BuildRequires:	automake
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libssh2 is a C library implementing the SSH2 protocol according to
Internet Draft specifications SECSH-TRANS(22), SECSH-USERAUTH(25),
SECSH-CONNECTION(23), SECSH-ARCH(20), SECSH-FILEXFER(06),
SECSH-DHGEX(04), and SECSH-NUMBERS(10).

Supported Ciphers:  
- aes256-cbc (aka rijndael-cbc@lysator.liu.se)
- aes192-cbc
- aes128-cbc
- 3des-cbc
- blowfish-cbc
- cast128-cbc
- arcfour
- none

Supported Key Exchange Methods: 
- diffie-hellman-group1-sha1
- diffie-hellman-group14-sha1
- diffie-hellman-group-exchange-sha1

Supported Hostkey Types:  
- ssh-rsa
- ssh-dss

Supported Compression Methods:
- zlib
- none

Supported Message Authentication Codes:
- hmac-sha1
- hmac-sha1-96
- hmac-ripemd160
- hmac-ripemd160@openssh.com

%description -l pl.UTF-8
libssh2 to biblioteka C implementująca protokół SSH2 zgodnie ze
specyfikacjami Internet Draft SECSH-TRANS(22), SECSH-USERAUTH(25),
SECSH-CONNECTION(23), SECSH-ARCH(20), SECSH-FILEXFER(06),
SECSH-DHGEX(04), and SECSH-NUMBERS(10).

Obsługiwane szyfry:
- aes256-cbc (znany też jako rijndael-cbc@lysator.liu.se)
- aes192-cbc
- aes128-cbc
- 3des-cbc
- blowfish-cbc
- cast128-cbc
- arcfour
- none

Obsługiwane metody wymiany kluczy:
- diffie-hellman-group1-sha1
- diffie-hellman-group14-sha1
- diffie-hellman-group-exchange-sha1

Obsługiwane rodzaju kluczy hosta:
- ssh-rsa
- ssh-dss

Obsługiwane metody kompresji:
- zlib
- none

Obsługiwane kody uwierzytelniania wiadomości:
- hmac-sha1
- hmac-sha1-96
- hmac-ripemd160
- hmac-ripemd160@openssh.com

%package devel
Summary:	Header files for libssh2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libssh2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libssh2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libssh2.

%package static
Summary:	Static libssh2 library
Summary(pl.UTF-8):	Biblioteka statyczna libssh2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libssh2 library.

%description static -l pl.UTF-8
Biblioteka statyczna libssh2.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%configure \
	--with-openssl=%{_prefix}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libssh2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libssh2.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libssh2.so
%{_libdir}/libssh2.la
%{_includedir}/libssh2*.h
%{_mandir}/man3/libssh2_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libssh2.a
%changelog
* Thu Jan 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libssh2.git;a=log;h=AC-branch

* Fri Jan 04 2008 zbyniu <zbyniu@pld-linux.org> 6605507
- up to 0.18

* Sun Aug 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 17bc615
- updated to 0.17

* Tue Jul 03 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 5340623
- rel 2

* Mon Jul 02 2007 Jakub Bogusz <qboosh@pld-linux.org> ccb8e62
- more verbose files, more docs

* Sun Jul 01 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b8a653
- up to 0.15

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 93891e5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0c3a869
- converted to UTF-8

* Tue Jan 30 2007 Karol Krenski <charles@pld-linux.org> a978ed1
- updated to 0.14

* Mon Dec 05 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 8355988
- updated to 0.12

* Tue Jul 26 2005 Adam Gołębiowski <adamg@pld-linux.org> 6d2b105
- updated to 0.11

* Sun May 29 2005 petec <petec@pld-linux.org> 2e14a82
- up to 0.10

* Wed Apr 06 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 4f738c1
- updated to 0.8

* Fri Feb 25 2005 Adam Gołębiowski <adamg@pld-linux.org> a48b3f0
- updated to 0.7

* Sat Feb 19 2005 Adam Gołębiowski <adamg@pld-linux.org> bae06cc
- updated to 0.6

* Tue Jan 11 2005 Adam Gołębiowski <adamg@pld-linux.org> e25c699
- release 2

* Tue Jan 11 2005 Adam Gołębiowski <adamg@pld-linux.org> e2c2964
- refresh config.sub

* Tue Jan 11 2005 Adam Gołębiowski <adamg@pld-linux.org> d1bc684
- outdated (applied upstream)

* Tue Jan 11 2005 Adam Gołębiowski <adamg@pld-linux.org> c6edde9
- updated to 0.5 (BC break)
- dropped DESTDIR patch (applied upstream)
- release 1

* Sat Dec 25 2004 Jakub Bogusz <qboosh@pld-linux.org> b5236ec
- pl desc

* Sat Dec 25 2004 Adam Gołębiowski <adamg@pld-linux.org> dc73f77
- pass libdir during make install

